//---------------------------------------------------------------------------
#ifndef mDNSServicesH
#define mDNSServicesH
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
class mDNSServices : public TThread
{
private:
protected:
	void __fastcall Execute();
    void __fastcall OnTerminate(TObject * Sender);
public:
	__fastcall mDNSServices(bool CreateSuspended);
	__fastcall mDNSServices(bool CreateSuspended, unsigned int hostsaddr, bool Service1, bool Service2);
	void __fastcall mDNSQuery(AnsiString Service);
	void __fastcall KillMe(TObject * Sender);
    int LocalMyHostSaddr;

};
//---------------------------------------------------------------------------
#endif
